# Uses of Class
org.apache.avro.io.Encoder

Packages that use Encoder
Package
Description
org.apache.avro.data
Interfaces and base classes shared by generic, specific and reflect.
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.io.parsing
Implementation of Avro schemas as LL(1) grammars.
org.apache.avro.reflect
Use Java reflection to generate schemas and protocols for existing classes.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of Encoder in org.apache.avro.data

Methods in org.apache.avro.data with parameters of type Encoder
Modifier and Type
Method
Description
`void`
Json.ObjectWriter.`write(Object datum, Encoder out)`

## Uses of Encoder in org.apache.avro.generic

Methods in org.apache.avro.generic with parameters of type Encoder
Modifier and Type
Method
Description
`void`
GenericDatumWriter.`write(D datum, Encoder out)`
`protected void`
GenericDatumWriter.`write(Schema schema, Object datum, Encoder out)`
Called to write data.
`protected void`
GenericDatumWriter.`writeArray(Schema schema, Object datum, Encoder out)`
Called to write a array.
`protected void`
GenericDatumWriter.`writeBytes(Object datum, Encoder out)`
Called to write a bytes.
`protected void`
GenericDatumWriter.`writeEnum(Schema schema, Object datum, Encoder out)`
Called to write an enum value.
`protected void`
GenericDatumWriter.`writeField(Object datum, Schema.Field f, Encoder out, Object state)`
Called to write a single field of a record.
`protected void`
GenericDatumWriter.`writeFixed(Schema schema, Object datum, Encoder out)`
Called to write a fixed value.
`protected void`
GenericDatumWriter.`writeMap(Schema schema, Object datum, Encoder out)`
Called to write a map.
`protected void`
GenericDatumWriter.`writeRecord(Schema schema, Object datum, Encoder out)`
Called to write a record.
`protected void`
GenericDatumWriter.`writeString(Object datum, Encoder out)`
Called to write a string.
`protected void`
GenericDatumWriter.`writeString(Schema schema, Object datum, Encoder out)`
Called to write a string.
`protected void`
GenericDatumWriter.`writeWithoutConversion(Schema schema, Object datum, Encoder out)`
Called to write data.

## Uses of Encoder in org.apache.avro.io

Subclasses of Encoder in org.apache.avro.io
Modifier and Type
Class
Description
`class`
`BinaryEncoder`
An abstract `Encoder` for Avro's binary encoding.
`class`
`BlockingBinaryEncoder`
A `BinaryEncoder` implementation that writes large arrays and maps as a sequence of blocks.
`class`
`BlockingDirectBinaryEncoder`
An `Encoder` for Avro's binary encoding that does not buffer output.
`class`
`BufferedBinaryEncoder`
An `Encoder` for Avro's binary encoding.
`class`
`DirectBinaryEncoder`
An `Encoder` for Avro's binary encoding that does not buffer output.
`class`
`JsonEncoder`
An `Encoder` for Avro's JSON data encoding.
`class`
`ParsingEncoder`
Base class for parser-based `Encoder`s.
`class`
`ValidatingEncoder`
An implementation of `Encoder` that wraps another Encoder and ensures that the sequence of operations conforms to the provided schema.
Fields in org.apache.avro.io declared as Encoder
Modifier and Type
Field
Description
`protected Encoder`
ValidatingEncoder.`out`
Methods in org.apache.avro.io with parameters of type Encoder
Modifier and Type
Method
Description
`ValidatingEncoder`
ValidatingEncoder.`configure(Encoder encoder)`
Reconfigures this ValidatingEncoder to wrap the encoder provided.
`ValidatingEncoder`
EncoderFactory.`validatingEncoder(Schema schema, Encoder encoder)`
Creates a `ValidatingEncoder` that wraps the Encoder provided.
`void`
DatumWriter.`write(D datum, Encoder out)`
Write a datum.

## Uses of Encoder in org.apache.avro.io.parsing

Methods in org.apache.avro.io.parsing with parameters of type Encoder
Modifier and Type
Method
Description
`static void`
ResolvingGrammarGenerator.`encode(Encoder e, Schema s, com.fasterxml.jackson.databind.JsonNode n)`
Encodes the given Json node `n` on to the encoder `e` according to the schema `s`.

## Uses of Encoder in org.apache.avro.reflect

Methods in org.apache.avro.reflect with parameters of type Encoder
Modifier and Type
Method
Description
`protected abstract void`
CustomEncoding.`write(Object datum, Encoder out)`
`protected final void`
DateAsLongEncoding.`write(Object datum, Encoder out)`
`protected void`
ReflectDatumWriter.`write(Schema schema, Object datum, Encoder out)`
`protected void`
ReflectDatumWriter.`writeArray(Schema schema, Object datum, Encoder out)`
Called to write a array.
`protected void`
ReflectDatumWriter.`writeBytes(Object datum, Encoder out)`
`protected void`
ReflectDatumWriter.`writeField(Object record, Schema.Field f, Encoder out, Object state)`

## Uses of Encoder in org.apache.avro.specific

Methods in org.apache.avro.specific with parameters of type Encoder
Modifier and Type
Method
Description
`void`
SpecificRecordBase.`customEncode(Encoder out)`
`protected void`
SpecificDatumWriter.`writeEnum(Schema schema, Object datum, Encoder out)`
`protected void`
SpecificDatumWriter.`writeField(Object datum, Schema.Field f, Encoder out, Object state)`
`protected void`
SpecificDatumWriter.`writeRecord(Schema schema, Object datum, Encoder out)`
`protected void`
SpecificDatumWriter.`writeString(Schema schema, Object datum, Encoder out)`